WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] 2.0.1. and 500 Internal Server Error (20 posts)

  1. veronique-m
    Member
    Posted 8 years ago #

    hello

    i tried to install WordPress (Version 2.0.1)

    everything went fine until i tried to see the blog: i had a 500 Internal Server Error saying that "The server encountered an internal error or misconfiguration and was unable to complete your request." and also that i should "contact the server administrator..."

    for the rest, db and tables are ok, wp-admin looks fine.

    would anyone have an idea?

    (i gave up trying upgrading, so i tried to start a new blog)

    thanks for your help

  2. veronique-m
    Member
    Posted 8 years ago #

    hello,

    i must add that i have 3 wp-blogs within the same database.
    2 of them are built with version 1.5 (or something like that) and the 3rd one is built with wp latest version.

    i can easily add a 1.5 wp blog. it's only version 2 that causes the 500 error.

    two days ago, i created a 2.0 blog on another server and it worked perfectly fine.

    so, it might be a problem with parma.pair.com (webhost)

    sorry for my english

  3. MichaelH
    Member
    Posted 8 years ago #

    Since you can get into admin, if you try Administration > Manage > Posts and "Edit" the Hello post that was automatically created by the install, do you see a Preview of that post?

    I know, a wierd question, but just checking?

    Maybe also try another theme...

  4. veronique-m
    Member
    Posted 8 years ago #

    thanks for your question, but no
    i still have the same error message

    and i tried several themes

    (now, i've just imported bunches of posts from my previous blog, admin is ok and db looks ok too)

  5. veronique-m
    Member
    Posted 8 years ago #

    so, that's the reply from pair.com (see below). what do you think?

    Hello,

    The error being reported in the Apache log for this page is:

    http://www.historyze.org [Thu Feb 2 15:08:02 2006] [error] malformed header from script. Bad header=HTTP/1.1 200 OK:
    /usr/www/cgi-bin/php-cgiwrap

    Apparently the first thing your script is outputting is "HTTP/1.1" or similar. In order to be correctly understood by the web server, you will need to have your script output:

    Content-type: text/html

    Unfortunately we cannot advise you how to actually make this change, as we are not able to offer specific support for content authoring.

    Regards,

  6. MichaelH
    Member
    Posted 8 years ago #

    Well this is related but I've no idea what to tell you.

    http://wordpress.org/support/topic/57297?replies=2

    What plugins are you using, if any?

  7. veronique-m
    Member
    Posted 8 years ago #

    Well, thanks again. Interesting. Complicated.

    Not using any plugin at all...

    So, I've asked pair.com about non-parsed headers.

    I'm a bit surprised that it worked fine with the previous version of WordPress and now it doesn't work anymore. So, it might be an issue with WordPress 2.0.1.

  8. veronique-m
    Member
    Posted 8 years ago #

    OK. Great. Here's the answer from parma:

    --------

    Hello,

    The information that you have sent, does not appear to necessarily apply to our setup. Our servers will not treat a script any differently if its filename starts with "nph."

    The problem could be occurring because you are using php-cgiwrap with this script (though in general, php-cgiwrap should be able to be used with no such problems). You could try disabling php-cgiwrap temporarily, and see if the script will work. This might mean that you have to modify some file permissions, however.

    Regards,

    ---------

    I think I'd better give up...

  9. tjwilly
    Member
    Posted 8 years ago #

    This may sound silly, but are you certain you ftp'd the files up in ASCII or BINARY which ever is appropriate for your host server type? If you are not sure, try uploading the files in both formats.

    If you get the database to come up ok, but then error out, just go drop all the tables in the database so the install script can recreate them.

    Also, try using different ftp software. I know that sounds CRAZY. But I just went through that myself. I have used SmartFTP for years. All of sudden, it would not send up some stuff without losing or meshing parts of the file. I downloaded FlashFXP and problem was solved. What a pain.

    Hope you get it figured out.

  10. veronique-m
    Member
    Posted 8 years ago #

    Thxs tjwilly,

    I'll try and let you know...

  11. veronique-m
    Member
    Posted 8 years ago #

    well, i did it, downloaded FlashFXP and tried to install the whole thing again. and again, admin, db, tables are ok. but the index page of the blog does not show up.

    see, brand new install
    http://historyze.org/wordpress/

    (i'm pretty sure it's because it's the 2.0.1 version of wordpress.)

  12. veronique-m
    Member
    Posted 8 years ago #

    brand new install 1.5.2 : everything is fine

    http://historyze.org/wordpress-1.5.2-fr_FR/wordpress/

    wordpress2.0.1 must not be for me - all right

    (yes, i tried upgrading)

  13. veronique-m
    Member
    Posted 8 years ago #

    so, i deleted everything i installed - ts
    but, i insist, there's something going wrong between wordpress 2.0. and my webhost - alas. (but, nobody seems to care... bouh)

  14. pauljmartinez
    Member
    Posted 8 years ago #

    I'm in a similar situation. Brand new install of 2.01, PHP Version 4.2.3, Apache/1.3.33 (Unix) mod_tsunami/3.0 FrontPage/5.0.2.2634, at Hostway (http://www.hostway.com).

    All of my admin, configuration, dashboard, writing, and managing screens work fine. If I try to view the site I get a 500 error regardless of the selected permalink structure.

    Took a look at the bug list for 2.01 and did not see anything there.
    http://trac.wordpress.org/report/2

    I see that a few others are having the same issue so I hope this helps.

  15. xquilliet
    Member
    Posted 8 years ago #

    Similar situation for me after installation of WP 2.01 on a server which had supported successfully a WP 1.51.
    The 500 error happens when trying to log as admin.

    I have encounter the same problem yesterday when installing a joomla web site, and when trying to log in as admin !!

    I solved the joomla-related problem by creating manualy the 'sessions' folder. This folder stores sessions infos. On my remote server, le PHP script is not allowed to mkdir or rmdir. This causes the problem.

    Unfortunatly, I don't know which directory I should manualy create for WP. Perhaps someone knows ... ?

  16. xquilliet
    Member
    Posted 8 years ago #

    I have resolved the problem by removing all cookies related to my website.

  17. xquilliet
    Member
    Posted 8 years ago #

    arg ! The problem has comed back

  18. Huvet
    Member
    Posted 8 years ago #

    I'm having the same problem. I get Internal 500 on all my theme files...

  19. Huvet
    Member
    Posted 8 years ago #

    My problem solved, I had accidently uploaded my .htaccess to the wp-content folder.

  20. veronique-m
    Member
    Posted 8 years ago #

    well, it's all solved.
    my php-version was simply too old (4.1) !!!
    cheers,
    v

Topic Closed

This topic has been closed to new replies.

About this Topic